Add-Type -Path "C:\oracle\product\12.2.0\dbhome_1\ODP.net\managed\common\Oracle.ManagedDataAccess.dll"
function RunDBCheck ([String]$DB, [String]$username, [String]$password, [String]$datasource)
{
 ## $query = "SELECT username from dba_users where username = 'SYSTEM'"
 $query = "select to_char(a.originating_timestamp, 'MM-DD-YY hh24:mi:ss'), a.message_text from X"+"$"+"DBGALERTEXT a where a.originating_timestamp > sysdate -1 and (a.message_text like 'ORA-%' or a.message_text like '%ORA-%')"
 ##$connectionString = 'User Id=' + $username + ';Password=' + $password + ';Data Source=' + $datasource
 $privis = "SYSDBA"
 $connectionString = 'User Id=' + $username + ';Password=' + $password + ';Data Source=' + $datasource + ';DBA Privilege=' + $privis
 ##write-host $connectionString
 $connection = New-Object Oracle.ManagedDataAccess.Client.OracleConnection($connectionString)
 $connection.open()
 $command=$connection.CreateCommand()
 $command.CommandText=$query
 $reader=$command.ExecuteReader()
 while ($reader.Read()) {
 $result = $reader.GetString(0) + ', ' + $reader.GetString(1)
 }
 $connection.Close()
 if ($result )
 {
   $result = $result.Trim()
   write-host  $result
   $fromaddress = "jason.wong@somecompany.com" 
        $toaddress = "jason.wong@somecompany.com,jason.wong@somecompany.com" 
        $bccaddress = "jason.wong@somecompany.com" 
        $CCaddress = "jason.wong@somecompany.com" 
        $Subject = "Oracle " + $DB + " alert log" 
        $body = $result
        $smtpserver = "mail.somecompany.com" 
        $message = new-object System.Net.Mail.MailMessage 
        $message.From = $fromaddress 
        $message.To.Add($toaddress) 
        $message.CC.Add($CCaddress) 
        $message.Bcc.Add($bccaddress) 
        $message.IsBodyHtml = $True 
        $message.Subject = $Subject 
        $message.body = $body 
        $smtp = new-object Net.Mail.SmtpClient($smtpserver) 
        $smtp.Send($message)
        ## write-host "Failed " $datasource $result
 }
 else
 {
 }
return 
}

RunDBCheck -DB "TEST" -username "C##JWONG" -password "xxxxxx" -datasource "TEST"
EXIT

---------------------------------------------------------------------------------------------------
select ORIGINATING_TIMESTAMP, MESSAGE_TEXT 
 from V$DIAG_ALERT_EXT
 WHERE ORIGINATING_TIMESTAMP > to_timestamp(SYSDATE-1)
 --AND trim(COMPONENT_ID)!='rdbms' 
 AND (MESSAGE_TEXT like '%ORA-%' or MESSAGE_TEXT like '%fail%') AND MESSAGE_LEVEL != 16;
 
select originating_timestamp, message_text
    from V$diag_alert_ext
    where originating_timestamp > cast(sysdate-3/24 as timestamp);