#!/bin/ksh
export ORACLE_HOME=/u01/oracle/product/12.1.0/dbhome_1
export ORACLE_BASE=/u01/oracle
export LIBPATH=$ORACLE_HOME/lib
export LD_LIBRARY_PATH=$ORACLE_HOME/lib:$ORACLE_HOME/network/lib
export PATH=$PATH:$ORACLE_HOME/bin:$ORACLE_HOME/OPatch
export ORACLE_SID=O12C1
export ORACLE_UNQNAME=O12C1
SCRIPT_LOG=/data01/home/oracle/DBA/log
SCRIPT_TMP=/data01/home/oracle/DBA/TMP
SCRIPT_SQL=/data01/home/oracle/DBA/SQL

EXIT_CODE=0

DBPREV=$(cat /data01/home/oracle/DBA/TMP/Alertlog_Error.log)
rm /data01/home/oracle/DBA/TMP/Alertlog_Error.html
rm /data01/home/oracle/DBA/TMP/Alertlog_Error.log
sqlplus / as sysdba <<EOF
@/data01/home/oracle/DBA/SQL/Alertlog.Error.sql
EOF
        grep -i -e "selected" /data01/home/oracle/DBA/TMP/Alertlog_Error.html | awk '{print $1}' >> /data01/home/oracle/DBA/TMP/Alertlog_Error.log
		        DBSEED=$(cat /data01/home/oracle/DBA/TMP/Alertlog_Error.log)
		if [ "${DBSEED}" != "no" ]; then
                    cat /data01/home/oracle/DBA/TMP/Alertlog_Error.html | mailx -s "Alertlog last one day errors $ORACLE_SID" jason.wong@xxxxxxxxxxxxxxxx.com       
                fi
exit 0
