SET TERM OFF VERIFY OFF ECHO OFF
--SET MARKUP HTML ON SPOOL ON
SET FEEDBACK ON
SET LINES 800
SET PAGES 10
spool /home/oracle/DBA/TMP/rman_backup_error_output.html
select  a.sid
,a.recid
,to_char(b.start_time, 'MM-DD-YYYY HH24:MI:SS') AS starttime, to_char(b.end_time, 'MM-DD-YYYY HH24:MI:SS') AS endtime
,b.operation
,b.status
,a.output
from v$rman_output a
    ,v$rman_status b
where a.rman_status_recid = b.recid
and   a.rman_status_stamp = b.stamp and a.output like '%ORA-%' and b.end_time > sysdate - 8
order by b.start_time DESC, a.recid;
spool off
EXIT;
