#!/bin/bash
#
# either hard code OS variables or source them from a script.
# see Chapter 2 for details on using oraset to source oracle OS variables
export ORACLE_HOME=/ora01/app/oracle/product/11.2.0/dbhome_1
export ORACLE_SID=PROD
ADMIN=jason.wong@somecompany.com,your.boss@somecompany.com
rm /home/oracle/DBA/TMP/rman_backup_error_output.html
rm /home/oracle/DBA/TMP/rman_backup_error_output.log
/ora01/app/oracle/product/11.2.0/dbhome_1/bin/sqlplus / as sysdba <<EOF
@/home/oracle/DBA/SQL/rman_backup_error_output.sql
EOF
     grep -i -e "selected" /home/oracle/DBA/TMP/rman_backup_error_output.html | awk '{print $1}' >> /home/oracle/DBA/TMP/rman_backup_error_output.log
                        DBSEED=$(cat /home/oracle/DBA/TMP/rman_backup_error_output.log)
                if [ ${DBSEED} != "no" ] ; then
                    cat /home/oracle/DBA/TMP/rman_backup_error_output.html | mailx -s "insv-jdedb1 JDEPRD RMAN Backup failed" $ADMIN
                fi
exit 0
