#!/bin/bash
#
# either hard code OS variables or source them from a script.
# see Chapter 2 for details on using oraset to source oracle OS variables
. /etc/profile
. /home/oracle/NYPD
DBPREV=$(cat /home/oracle/DBA/scripts/TMP/NYPD_ts_low.log)
rm /home/oracle/DBA/scripts/TMP/NYPD_ts_low.html
rm /home/oracle/DBA/scripts/TMP/NYPD_ts_low.log
sqlplus / as sysdba <<EOF
@/home/oracle/DBA/scripts/SQL/NYPD_ts_low.sql
EOF
        grep -i -e "selected" /home/oracle/DBA/scripts/TMP/NYPD_ts_low.html | awk '{print $1}' >> /home/oracle/DBA/scripts/TMP/NYPD_ts_low.log
                        DBSEED=$(cat /home/oracle/DBA/scripts/TMP/NYPD_ts_low.log)
                if [ ${DBSEED} != "no" ] && [ "${DBSEED}" != "${DBPREV}" ]; then
                    cat /home/oracle/DBA/scripts/TMP/NYPD_ts_low.html | mailx -s "NYPD Tablespace critical alert at 25 % free OR HFM less 1 GB free" jason.wong@somecompany.com
                fi
exit 0
