$cmmdfile="C:\runrman\rman_lvl1.rman"
$oracleSID="O1221C1"
$dirName="C:\runrman\log"
$filename="lvl1.log"
$newLogPathFile="$dirName\$(get-date -f "yyyyMMdd_HHmmss")_RMAN_$oracleSID_$filename"
Write-Output $newLogPathFile
rman target / cmdfile=$cmmdfile log=$newLogPathFile

$folder  = 'C:\runrman\log'
$limit = (Get-Date).AddDays(-21)

Get-ChildItem $folder -Recurse | ? {
  -not $_.PSIsContainer -and $_.CreationTime -lt $limit
} | Remove-Item

