$content = Get-Content C:\runsql\CheckBackup\targetinstances.txt
foreach ($line in $content)
{
   Write-Host $line
   if (!$line.IndexOf(" "))
   {
      $datasource = $line.substring($line.IndexOf("@")+1)
   }
   else
   {
      $datasource = $line.substring($line.IndexOf("@")+1, $line.IndexOf(" ")-$line.IndexOf("@"))
   }
   Write-Host $datasource
   Invoke-Expression -Command:"sqlplus -silent $line @C:\runsql\CheckBackup\checkbackup_query.sql" | Out-File -LiteralPath:"C:\runsql\CheckBackup\backup_results.txt" -Force
   $result = get-content "C:\runsql\CheckBackup\backup_results.txt"
   if (!$result) 
   {
        write-host "No failure! " $result
   }
   else
   {       
        $fromaddress = "jason.wong@somecompany.com" 
        $toaddress = "jason.wong@somecompany.com,jason.wong@somecompany.com" 
        $bccaddress = "jason.wong@somecompany.com" 
        $CCaddress = "jason.wong@somecompany.com" 
        $Subject = "Oracle " + $datasource + " database backup failed" 
	$body = get-content C:\runsql\CheckBackup\backup_results.txt 
        $smtpserver = "email.somecompany.com" 
        $message = new-object System.Net.Mail.MailMessage 
        $message.From = $fromaddress 
        $message.To.Add($toaddress) 
        $message.CC.Add($CCaddress) 
        $message.Bcc.Add($bccaddress) 
        $message.IsBodyHtml = $True 
        $message.Subject = $Subject 
        $message.body = $body 
        $smtp = new-object Net.Mail.SmtpClient($smtpserver) 
        $smtp.Send($message)
        write-host "Backup failed " $result
   }
Remove-Item -LiteralPath:"C:\runsql\CheckBackup\backup_results.txt" -Force
}

