        $fromaddress = "jason.wong@calumetspecialty.com" 
        $toaddress = "jason.wong@calumetspecialty.com,jason.wong@calumetspecialty.com" 
        $bccaddress = "jason.wong@calumetspecialty.com" 
        $CCaddress = "jason.wong@calumetspecialty.com" 
        $smtpserver = "mail.calumetspecialty.com" 

$datasource = "10.36.200.163"
Invoke-Expression -Command:"sqlplus -silent SL/__L0gL8gBust@EPMPROD_DC3 @D:\DBA\DG\test_archived.sql" | Out-File -LiteralPath:"D:\DBA\DG\results_pr_archived.txt" -Force
$result = get-content "D:\DBA\DG\results_pr_archived.txt"
$pr_arc_result = $result.Trim()
##Remove-Item -LiteralPath:"D:\DBA\DG\results_pr_archived.txt" -Force
write-host $pr_arc_result

$datasource = "localhost"
Invoke-Expression -Command:"sqlplus -silent / as sysdba @D:\DBA\DG\test_archived.sql" | Out-File -LiteralPath:"D:\DBA\DG\results_sb_archived.txt" -Force
$result = get-content "D:\DBA\DG\results_sb_archived.txt"
$sby_arc_result = $result.Trim()
##Remove-Item -LiteralPath:"D:\DBA\DG\results_sb_archived.txt" -Force
write-host $sby_arc_result

 if ($pr_arc_result -eq $sby_arc_result) 
 {
    write-host $datasource ": no archivelog lag."
 }
 else
 {       
        Invoke-Expression -Command:"sqlplus -silent / as sysdba @D:\DBA\DG\active_trans_archivelog.sql" | Out-File -LiteralPath:"D:\DBA\DG\results_sb_active_trans_archivelog.txt" -Force	
        $Subject = "Oracle " + $datasource + " DataGuard archivelog lag " + " Primary: " + $pr_arc_result + " Standby: " + $sby_arc_result
	$body = get-content D:\DBA\DG\results_sb_active_trans_archivelog.txt 
        $message = new-object System.Net.Mail.MailMessage 
        $message.From = $fromaddress 
        $message.To.Add($toaddress) 
        $message.CC.Add($CCaddress) 
        $message.Bcc.Add($bccaddress) 
        $message.IsBodyHtml = $True 
        $message.Subject = $Subject 
        $message.body = $body 
        $smtp = new-object Net.Mail.SmtpClient($smtpserver) 
        $smtp.Send($message)
        write-host "Archivelog Lag: Primary: " + $pr_arc_result + " Standby: " + $sby_arc_result
        Remove-Item -LiteralPath:"D:\DBA\DG\results_sb_active_trans_archivelog.txt" -Force
        if (Test-Path D:\DBA\DG\results_sb_active_trans_archivelog.txt)
        {
            $fileObj = get-item 'D:\DBA\DG\results_sb_active_trans_archivelog.txt'
            $DateStamp = get-date -uformat "%Y-%m-%d_%H-%M-%S"
            $nameOnly = $fileObj.Name
            rename-item "$fileObj" "$DateStamp-$nameOnly"
        }
        $DT = Get-DATE
        Out-File -FilePath -Append D:\DBA\DG\Notification.txt -InputObject $DT
        Out-File -FilePath -Append D:\DBA\DG\Notification.txt -InputObject $Subject
 }
        Remove-Item -LiteralPath:"D:\DBA\DG\results_pr_archived.txt" -Force
        Remove-Item -LiteralPath:"D:\DBA\DG\results_sb_archived.txt" -Force

$datasource = "localhost"
Invoke-Expression -Command:"sqlplus -silent / as sysdba @D:\DBA\DG\log_apply_lag.sql" | Out-File -LiteralPath:"D:\DBA\DG\results_log_apply_lag.txt" -Force
$result = get-content "D:\DBA\DG\results_log_apply_lag.txt"
$sby_loglag_result = $result.Trim()
Remove-Item -LiteralPath:"D:\DBA\DG\results_log_apply_lag.txt" -Force
write-host $sby_loglag_result

 if ($sby_loglag_result -eq "0") 
 {
    write-host $datasource ": no redo apply lag."
 }
 else
 {       
        $fromaddress = "jason.wong@calumetspecialty.com" 
        $toaddress = "jason.wong@calumetspecialty.com,jason.wong@calumetspecialty.com" 
        $bccaddress = "jason.wong@calumetspecialty.com" 
        $CCaddress = "jason.wong@calumetspecialty.com" 
        $Subject = "Oracle redo lag " + $datasource + " Standby: " + $sby_loglag_result
        $body = "Oracle " + $datasource + " DataGuard redo lag " + " Standby: " + $sby_loglag_result
        $smtpserver = "mail.calumetspecialty.com" 
        $message = new-object System.Net.Mail.MailMessage 
        $message.From = $fromaddress 
        $message.To.Add($toaddress) 
        $message.CC.Add($CCaddress) 
        $message.Bcc.Add($bccaddress) 
        $message.IsBodyHtml = $True 
        $message.Subject = $Subject 
        $message.body = $body 
        $smtp = new-object Net.Mail.SmtpClient($smtpserver) 
        $smtp.Send($message)
        write-host "Redo Apply Lag: " $datasource + $sby_loglag_result
        $DT = Get-DATE
        Out-File -FilePath -Append D:\DBA\DG\Notification.txt -InputObject $DT
        Out-File -FilePath -Append D:\DBA\DG\Notification.txt -InputObject $Subject
 }

	$datasource = "localhost"
        Invoke-Expression -Command:"sqlplus -silent / as sysdba @D:\DBA\DG\sb_applied_log.sql" | Out-File -LiteralPath:"D:\DBA\DG\results_sb_applied_log.txt" -Force
        $Subject = "Oracle " + $datasource + " database applied log sequence" 
	$body = get-content D:\DBA\DG\results_sb_applied_log.txt 
        $message = new-object System.Net.Mail.MailMessage 
        $message.From = $fromaddress 
        $message.To.Add($toaddress) 
        $message.CC.Add($CCaddress) 
        $message.Bcc.Add($bccaddress) 
        $message.IsBodyHtml = $True 
        $message.Subject = $Subject 
        $message.body = $body 
        $smtp = new-object Net.Mail.SmtpClient($smtpserver) 
        $smtp.Send($message)
        Remove-Item -LiteralPath:"D:\DBA\DG\results_sb_applied_log.txt" -Force

        if (Test-Path D:\DBA\DG\results_sb_applied_log.txt)
        {
            $fileObj = get-item 'D:\DBA\DG\results_sb_applied_log.txt'
            $DateStamp = get-date -uformat "%Y-%m-%d_%H-%M-%S"
            $nameOnly = $fileObj.Name
            rename-item "$fileObj" "$DateStamp-$nameOnly"
        }

	$datasource = "localhost"
        Invoke-Expression -Command:"sqlplus -silent / as sysdba @D:\DBA\DG\redo_transport_lag.sql" | Out-File -LiteralPath:"D:\DBA\DG\results_redo_transport_lag.txt" -Force
        $Subject = "Oracle " + $datasource + " database redo transport lag" 
	$body = get-content D:\DBA\DG\results_redo_transport_lag.txt 
        $message = new-object System.Net.Mail.MailMessage 
        $message.From = $fromaddress 
        $message.To.Add($toaddress) 
        $message.CC.Add($CCaddress) 
        $message.Bcc.Add($bccaddress) 
        $message.IsBodyHtml = $True 
        $message.Subject = $Subject 
        $message.body = $body 
        $smtp = new-object Net.Mail.SmtpClient($smtpserver) 
        $smtp.Send($message)
        Remove-Item -LiteralPath:"D:\DBA\DG\results_redo_transport_lag.txt" -Force

        if (Test-Path D:\DBA\DG\results_redo_transport_lag.txt)
        {
            $fileObj = get-item 'D:\DBA\DG\results_redo_transport_lag.txt'
            $DateStamp = get-date -uformat "%Y-%m-%d_%H-%M-%S"
            $nameOnly = $fileObj.Name
            rename-item "$fileObj" "$DateStamp-$nameOnly"
        }