if (Test-Path D:\rundp\datapump\EXP_SCHEMAS.DMP)
{
$fileObj = get-item 'D:\rundp\datapump\EXP_SCHEMAS.DMP'
$DateStamp = get-date -uformat "%Y-%m-%d_%H-%M-%S"
$nameOnly = $fileObj.Name
rename-item "$fileObj" "$DateStamp-$nameOnly"
}

if (Test-Path D:\rundp\datapump\exp_schemas.log)
{
$fileObj = get-item 'D:\rundp\datapump\exp_schemas.log'
$DateStamp = get-date -uformat "%Y-%m-%d_%H-%M-%S"
$nameOnly = $fileObj.Name
rename-item "$fileObj" "$DateStamp-$nameOnly"
}

$folder  = 'D:\rundp\datapump'
$limit = (Get-Date).AddDays(-7)

Get-ChildItem $folder -Recurse | ? {
  -not $_.PSIsContainer -and $_.CreationTime -lt $limit
} | Remove-Item 

##Get-ChildItem $folder -Recurse | ? { $_.CreationTime -lt $limit } | Remove-Item -Recurse -ErrorAction SilentlyContinue -Confirm:$FALSE -FORCE

EXIT

