----'XS$NULL' cannot be dropped. ORA-28050: specified user or role cannot be dropped.
----in stand alone SQL 'XS\$NULL' needs to be 'XS$NULL' etc. so it will not be included to drop user.
---- I will add account_status = 'OPEN' as below
----	 select * from dba_users a where username not in('PUBLIC','SYS','SYSTEM','DBSNMP','ANONYMOUS','APPQOSSYS','DIP','ORACLE_OCM','OUTLN','WMSYS','XDB','XS$NULL') 
----     and not exists (select 'x' owner from dba_objects b where a.username = b.owner)
----     and account_status = 'OPEN' order by 1;
----	 
	connect / as sysdba
	SET HEADING OFF
	SET FEEDBACK OFF
	SET ECHO OFF
	SET LINESIZE 999 PAGESIZE 0 LONG 1000 
	--10g and up
	SET SERVEROUTPUT ON SIZE UNLIMITED
	-- formatting for ddl extract
	BEGIN
	DBMS_METADATA.SET_TRANSFORM_PARAM(DBMS_METADATA.SESSION_TRANSFORM,'PRETTY',TRUE);
	DBMS_METADATA.SET_TRANSFORM_PARAM(DBMS_METADATA.SESSION_TRANSFORM,'SQLTERMINATOR',TRUE);
	DBMS_METADATA.SET_TRANSFORM_PARAM(DBMS_METADATA.SESSION_TRANSFORM,'SEGMENT_ATTRIBUTES',TRUE);
	DBMS_METADATA.SET_TRANSFORM_PARAM(DBMS_METADATA.SESSION_TRANSFORM,'STORAGE',TRUE);
	DBMS_METADATA.SET_TRANSFORM_PARAM(DBMS_METADATA.SESSION_TRANSFORM,'TABLESPACE',TRUE);
	DBMS_METADATA.SET_TRANSFORM_PARAM(DBMS_METADATA.SESSION_TRANSFORM,'SPECIFICATION',TRUE);
	DBMS_METADATA.SET_TRANSFORM_PARAM(DBMS_METADATA.SESSION_TRANSFORM,'BODY',TRUE);
	DBMS_METADATA.SET_TRANSFORM_PARAM(DBMS_METADATA.SESSION_TRANSFORM,'CONSTRAINTS',TRUE);
	END;
	/
	spool c:\runsql\rvs_eng_users.txt append
	prompt --===========================================================
	prompt -- USERS EXTRACT PORTION
	prompt -- schema owners - spool password change and grants
	prompt --===========================================================
	select 'alter user ' || name || ' identified by values ''' || password || ''';'
	from sys.user$ a
	where exists (select 'x' owner from dba_objects b where a.name = b.owner)
	and name not in('PUBLIC','DBSNMP','ANONYMOUS','APPQOSSYS','DIP','ORACLE_OCM','OUTLN','WMSYS','XDB','XS\$NULL');
	-- 
	select 'GRANT ' || m.name || ' ON ' || uo.name || '.' ||
	o.name || ' TO ' || ue.name || decode(NVL(t.option$,0), 1, ' WITH GRANT OPTION;',';') 
	from sys.objauth$ t, sys.obj$ o, sys.user$ ur, sys.table_privilege_map m, sys.user$ ue, sys.user$ uo
	where o.obj# = t.obj# 
	and t.privilege# = m.privilege 
	and t.col# IS NULL 
	and t.grantor# = ur.user# 
	and t.grantee# = ue.user# 
	and o.owner#=uo.user# 
	and t.grantor# != 0  
	and o.name not like 'BIN\$%'
	and ur.name not in ('SYS','SYSTEM',
	'SCOTT','DBSNMP','OUTLN','WKPROXY','WMSYS','ORDSYS','ORDPLUGINS','MDSYS',
	'CTXSYS','XDB','ANONYMOUS','OWNER','WKSYS','ODM_MTR','ODM','OLAPSYS',
	'HR','OE','PM','SH','QS_ADM','QS','QS_WS','QS_ES','QS_OS','QS_CBADM',
	'QS_CB','QS_CS','PERFSTAT','PUBLIC')
	and exists (select 'x' owner from dba_objects b where ue.name = b.owner)
	order by ue.name;
	--
	prompt --===========================================================
	prompt -- non schema owners - reverse engineer create/access
	prompt --===========================================================
	declare
	 sql_statement varchar2(32000) := null;
	 getusername varchar2(30) := null;
	 sql_statement2 clob;
	 rec_count number:= 0;
	 clob_count number:= 0;
	 --
	 --
	 cursor get_user is 
	 select username from dba_users a
	 where username not in('PUBLIC','SYS','SYSTEM','DBSNMP','ANONYMOUS','APPQOSSYS','DIP','ORACLE_OCM','OUTLN','WMSYS','XDB','XS\$NULL') 
	 and not exists (select 'x' owner from dba_objects b where a.username = b.owner)
	 order by 1
	 ;
	 begin
	  open get_user;
	  loop
	  fetch get_user into getusername;
	      if get_user%notfound
	       then exit; 
	      end if;
	  -- only want to drop user if it exists and not a schema owner
	  select count(1) into rec_count 
	  from dba_users a 
	  where username = '' || getusername || ''
	  and not exists (select 'x' owner from dba_objects b where a.username = b.owner);
	  if (rec_count > 0) then
	    dbms_output.put_line('declare rec_count number:= 0;');
	    dbms_output.put_line('begin');
	    sql_statement:='select count(*) into rec_count from dba_users where username = ''' || getusername || ''';';
	    dbms_output.put_line(sql_statement);
	    dbms_output.put_line('if (rec_count > 0) then');
	    sql_statement:='execute immediate (''drop user "' || getusername|| '"'');';
	    dbms_output.put_line(sql_statement);
	    dbms_output.put_line('end if;');
	    dbms_output.put_line('end;');
	    dbms_output.put_line('/');
	  end if;
	  --
	  --
	  sql_statement:='select dbms_metadata.get_ddl (''USER'', ''' || getusername || ''') from dual';
	  execute immediate sql_statement into sql_statement2;
	  dbms_output.put_line(sql_statement2);
	  --get tablespace quota
	  select count(1) into rec_count from dba_ts_quotas where username = '' || getusername || '';
	  if (rec_count > 0) then 
	    sql_statement:='select dbms_metadata.get_granted_ddl (''TABLESPACE_QUOTA'', ''' || getusername || ''') from dual';
	    execute immediate sql_statement into sql_statement2;
	    dbms_output.put_line(sql_statement2);
	  end if;
	  --get role grant
	  select count(1) into rec_count from dba_role_privs where  grantee = '' || getusername || '';
	  if (rec_count > 0) then 
	    sql_statement:='select dbms_metadata.get_granted_ddl (''ROLE_GRANT'', ''' || getusername || ''') from dual';
	    execute immediate sql_statement into sql_statement2;
	    dbms_output.put_line(sql_statement2);
	    --get default role
	    sql_statement:='select dbms_metadata.get_granted_ddl (''DEFAULT_ROLE'', ''' || getusername || ''') from dual';
	    execute immediate sql_statement into sql_statement2;
	    dbms_output.put_line(sql_statement2);
	  end if;
	  --get system grant
	  select count(1) into rec_count from dba_sys_privs where  grantee = '' || getusername || '';
	  if (rec_count > 0) then 
	    sql_statement:='select dbms_metadata.get_granted_ddl (''SYSTEM_GRANT'', ''' || getusername || ''') from dual';
	    execute immediate sql_statement into sql_statement2;
	    dbms_output.put_line(sql_statement2);
	  end if;
	  --get object grants
	  select count(1) into rec_count from dba_tab_privs where  grantee = '' || getusername || '';
	    if (rec_count > 0) then 
	    sql_statement:='select dbms_metadata.get_granted_ddl (''OBJECT_GRANT'', ''' || getusername || ''') from dual';
	    --dbms_output.put_line(sql_statement);
	    execute immediate sql_statement into sql_statement2;
	    -- clob that is larger than 8192 will get error ora-06502
	    -- have to loop thru the clob to print each line
	    clob_count:=length(sql_statement2) - nvl(length(replace(sql_statement2,chr(10))),0) + 1;
	   --dbms_output.put_line(clob_count);
		for i in 1..clob_count loop
		    sql_statement:=regexp_substr(sql_statement2,'^.*$',1,i,'m');
		    dbms_output.put_line(sql_statement);
		end loop;
	    end if;
	  end loop;
	  close get_user;
	 end;
	/
	spool off;
	exit;